## Uses of Class
org.apache.cassandra.exceptions.RequestTimeoutException

- Packages that use RequestTimeoutException
  Package | Description
  --- | ---
  org.apache.cassandra.exceptions |
  org.apache.cassandra.index.sasi.plan |
  org.apache.cassandra.service |
  org.apache.cassandra.thrift |

- - ### Uses of RequestTimeoutException in org.apache.cassandra.exceptions

    Subclasses of RequestTimeoutException in org.apache.cassandra.exceptions
    Modifier and Type | Class and Description
    --- | ---
    `class` | `ReadTimeoutException`
    `class` | `WriteTimeoutException`

  - ### Uses of RequestTimeoutException in org.apache.cassandra.index.sasi.plan

    Methods in org.apache.cassandra.index.sasi.plan that throw RequestTimeoutException
    Modifier and Type | Method and Description
    --- | ---
    `UnfilteredPartitionIterator` | QueryPlan.`execute(ReadExecutionController executionController)`

  - ### Uses of RequestTimeoutException in org.apache.cassandra.service

    Methods in org.apache.cassandra.service that throw RequestTimeoutException
    Modifier and Type | Method and Description
    --- | ---
    `static RowIterator` | StorageProxy.`cas(java.lang.String keyspaceName, java.lang.String cfName, DecoratedKey key, CASRequest request, ConsistencyLevel consistencyForPaxos, ConsistencyLevel consistencyForCommit, ClientState state, long queryStartNanoTime)` Apply @param updates if and only if the current values in the row for @param key match the provided @param conditions.

  - ### Uses of RequestTimeoutException in org.apache.cassandra.thrift

    Methods in org.apache.cassandra.thrift with parameters of type RequestTimeoutException
    Modifier and Type | Method and Description
    --- | ---
    `static TimedOutException` | ThriftConversion.`toThrift(RequestTimeoutException e)`

Copyright © 2018 The Apache Software Foundation